Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 707594

Summary: sci-astronomy/weightwatcher-1.12 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Sci Astronomy Herd <sci-astronomy>
Status: RESOLVED FIXED    
Severity: normal Keywords: PullRequest
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/18905
Whiteboard: ~arch only
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
sci-astronomy:weightwatcher-1.12:20200130-231521.log
temp.tbz2

Description Toralf Förster gentoo-dev 2020-01-31 17:33:26 UTC
xml.c:601:40: warning: format not a string literal and no format arguments [-Wformat-security]
  601 |           sprintf(value, key[i].keylist[((int *)key[i].ptr)[j]]);
      |                          ~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o ww field.o main.o makeit.o prefs.o readimage.o vector.o fitswcs.o xml.o ../src/fits/libfits.a ../src/wcs/libwcs_c.a -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: main.o:(.bss+0x20): multiple definition of `prefs'; field.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: main.o:(.bss+0x1000): multiple definition of `gstr'; field.o:(.bss+0xfe0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 22:50:27 +0000

emerge -qpvO sci-astronomy/weightwatcher
[ebuild  N    ] sci-astronomy/weightwatcher-1.12  USE="-doc"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 17:33:29 UTC
Created attachment 609544 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 17:33:31 UTC
Created attachment 609546 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 17:33:34 UTC
Created attachment 609548 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 17:33:38 UTC
Created attachment 609550 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 17:33:42 UTC
Created attachment 609552 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 17:33:45 UTC
Created attachment 609554 [details]
sci-astronomy:weightwatcher-1.12:20200130-231521.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 17:33:48 UTC
Created attachment 609556 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2021-01-02 20:16:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c66f73c85e12f55cbc2ca4da527101ae3b89b27b

commit c66f73c85e12f55cbc2ca4da527101ae3b89b27b
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-01-02 20:16:32 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-01-02 20:16:32 +0000

    sci-astronomy/weightwatcher: Port to EAPI 7
    
    * Fix direct AR call
    * Fix build with gcc-10
    
    Closes: https://bugs.gentoo.org/707594
    Closes: https://bugs.gentoo.org/725284
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/weightwatcher-1.12-AR.patch              |  11 ++
 .../files/weightwatcher-1.12-fno-common.patch      | 160 +++++++++++++++++++++
 .../weightwatcher/weightwatcher-1.12.ebuild        |  17 ++-
 3 files changed, 184 insertions(+), 4 deletions(-)